//Script by Port (12297) and McTwist (9845), modified to fit the jetpacks by Demian (10334).
//From Item_TF2Supplies
function jetPackGasPickup(%this, %obj, %col, %respawn)
{
	if(%obj.respawning || ((%enrg = %col.getEnergyLevel()) == (%col.getDataBlock().maxEnergy)))
	{
		return;
	}
	%col.setEnergyLevel(%col.getDataBlock().maxEnergy);
	%obj.fadeOut();
	%obj.respawning = true;
	%obj.schedule(%respawn, fadeInSchedule);
}

function Item::fadeInSchedule(%obj)
{
	%obj.respawning = false;
	%obj.fadeIn();
}

function IT_jetPackToolGas::onPickup(%this, %obj, %col)
{ 
	jetPackGasPickup(%this, %obj, %col, %obj.spawnBrick.itemRespawnTime);
}

datablock ItemData(IT_jetPackToolGas : printGun)
{
	shapeFile = "./gas.dts";
	image = "";

	uiName = "Jetpack Gas";

	doColorShift = true;
	colorShiftColor = "1.0 0.45 0.0 1";
};